org.apache.fop.complexscripts.fonts

## Class GlyphTable.ClassSequenceRule

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphTable.Rule
  - - org.apache.fop.complexscripts.fonts.GlyphTable.ClassSequenceRule

Direct Known Subclasses:
  GlyphTable.ChainedClassSequenceRule

Enclosing class:
  GlyphTable

    public static class GlyphTable.ClassSequenceRule
    extends GlyphTable.Rule

The `ClassSequenceRule` class implements a subclass of `Rule` that supports matching on a specific glyph class sequence.

### Constructor Summary

Constructors
Constructor and Description
`ClassSequenceRule(GlyphTable.RuleLookup[] lookups, int inputSequenceLength, int[] classes)` Instantiate a ClassSequenceRule.

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `getClasses()` Obtain glyph classes.
`int[]` `getClasses(int firstClass)` Obtain glyph classes augmented by specified first class entry.
`String` `toString()`

### Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphTable.Rule

`getInputSequenceLength, getLookups, resolveLookupReferences`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClassSequenceRule

    public ClassSequenceRule(GlyphTable.RuleLookup[] lookups,
                             int inputSequenceLength,
                             int[] classes)

Instantiate a ClassSequenceRule.

Parameters:
  `lookups` - the rule's lookups
  `inputSequenceLength` - number of glyphs constituting input sequence (to be consumed)
  `classes` - the rule's glyph class sequence to match, starting with second glyph in sequence

### Method Detail

#### getClasses

    public int[] getClasses()

Obtain glyph classes. N.B. that this array starts with the class of the second glyph of the input sequence.

Returns:
  the classes

#### getClasses

    public int[] getClasses(int firstClass)

Obtain glyph classes augmented by specified first class entry.

Parameters:
  `firstClass` - to fill in first class entry
Returns:
  the classes augmented by first class

#### toString

    public String toString()

Overrides:
  `toString` in class `GlyphTable.Rule`